<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Entity;

class PagSeguroQrCodeViewModel extends Entity {
	protected $id;
	protected $amount;
	protected $text;
	protected $links;

	public static function builder():PagSeguroQrCodeViewModelBuilder {
		return new PagSeguroQrCodeViewModelBuilder();

	}
	/**
	 * @return mixed
	 */
	public function getId() {

		return $this->id;
	}


	/**
	 * @return mixed
	 */
	public function getAmount() {

		return $this->amount;
	}


	/**
	 * @return mixed
	 */
	public function getText() {

		return $this->text;
	}


	/**
	 * @return mixed
	 */
	public function getLinks() {

		return $this->links;
	}


	/**
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
	}


	/**
	 * @param mixed $amount
	 */
	public function setAmount($amount) {

		$this->amount = $amount;
	}


	/**
	 * @param mixed $text
	 */
	public function setText($text) {

		$this->text = $text;
	}


	/**
	 * @param mixed $links
	 */
	public function setLinks($links) {

		$this->links = $links;
	}


	
	

}

